%global pypi_name imageio

Name:           python-%{pypi_name}
Version:        2.36.1
Release:        %mkrel 1
Group:          Development/Python
Summary:        Python library for reading and writing image data
License:        BSD
URL:            https://imageio.github.io/
Source0:        https://pypi.io/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         prohibit_binaries_download.patch
BuildArch:      noarch

%description
Imageio is a Python library that provides an easy interface to read
and write a wide range of image data, including animated images,
volumetric data, and scientific formats.

%package -n python3-%{pypi_name}
Summary:        Python 3 library for reading and writing image data
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Imageio is a Python 3 library that provides an easy interface to read
and write a wide range of image data, including animated images,
volumetric data, and scientific formats.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md docs
%license LICENSE


%changelog
* Wed Dec 11 2024 daviddavid <daviddavid> 2.36.1-1.mga10
+ Revision: 2123447
- new version: 2.36.1

* Thu Nov 14 2024 daviddavid <daviddavid> 2.36.0-1.mga10
+ Revision: 2115529
- new version: 2.36.0

* Sun Aug 25 2024 daviddavid <daviddavid> 2.35.1-1.mga10
+ Revision: 2091167
- new version: 2.35.1

* Thu Jun 27 2024 papoteur <papoteur> 2.34.2-1.mga10
+ Revision: 2077378
- remove commands for downloadind external libraries
- raise error when trying to download library (mga#31016)
- new version 2.34.2

* Fri Apr 26 2024 daviddavid <daviddavid> 2.34.1-1.mga10
+ Revision: 2061159
- new version: 2.34.1

* Thu Feb 15 2024 daviddavid <daviddavid> 2.34.0-1.mga10
+ Revision: 2041427
- new version: 2.34.0

* Wed Dec 20 2023 daviddavid <daviddavid> 2.33.1-1.mga10
+ Revision: 2020157
- new version: 2.33.1

* Wed Dec 20 2023 tv <tv> 2.31.6-2.mga10
+ Revision: 2020092
- Rebuild for python 3.12

* Mon Oct 30 2023 daviddavid <daviddavid> 2.31.6-1.mga10
+ Revision: 2002820
- new version: 2.31.6

* Mon Oct 02 2023 daviddavid <daviddavid> 2.31.5-1.mga10
+ Revision: 1993102
- new version: 2.31.5

* Sun Oct 01 2023 daviddavid <daviddavid> 2.31.4-1.mga10
+ Revision: 1992786
- new version: 2.31.4

* Wed Sep 06 2023 daviddavid <daviddavid> 2.31.3-1.mga10
+ Revision: 1984597
- new version: 2.31.3

* Wed Aug 30 2023 daviddavid <daviddavid> 2.31.2-1.mga10
+ Revision: 1981841
- new version: 2.31.2
- switch to pyproject

* Sun Nov 20 2022 daviddavid <daviddavid> 2.22.4-1.mga9
+ Revision: 1909551
- new version: 2.22.4

* Wed Mar 23 2022 umeabot <umeabot> 2.9.0-4.mga9
+ Revision: 1822400
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 2.9.0-3.mga9
+ Revision: 1773606
- Rebuild for python-3.10

* Sun Mar 21 2021 tv <tv> 2.9.0-2.mga9
+ Revision: 1706506
- Rebuild for python 3.9

* Fri Feb 26 2021 daviddavid <daviddavid> 2.9.0-1.mga9
+ Revision: 1691693
- new version: 2.9.0

* Mon Feb 17 2020 umeabot <umeabot> 2.6.1-2.mga8
+ Revision: 1537220
- Mageia 8 Mass Rebuild

* Sun Oct 27 2019 daviddavid <daviddavid> 2.6.1-1.mga8
+ Revision: 1456005
- initial package python-imageio

